# $Revision: 1.51 $, $Date: 2009/11/19 20:26:31 $
%define		_snap	20091119
Summary:	Utility to clean up and pretty print HTML files
Summary(pl.UTF-8):	Narzędzie do porządkowania kodu HTML
Name:		tidy
Version:	0.%{_snap}
Release:	1
Epoch:		1
License:	distributable
Group:		Applications/Text
# tidy projects no longer releases tarballs.
# cvs -z3 -d:pserver:anonymous@tidy.cvs.sourceforge.net:/cvsroot/tidy export -D 2009-11-19 tidy
# tar -cf tidy-20091119.tar tidy;xz -9 -e tidy-20091119.tar
Source0:	tidy-%{_snap}.tar.xz
# Source0-md5:	0ca49cf79b4f3d25a080234a0bbf8eee
URL:		http://tidy.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tidy is utility for cleaning and pretty printing HTML files. It can
help in keeping your WWW sources in unified format (case of tags) and
proper encoding of different character sets.

%description -l pl.UTF-8
Tidy jest narzędziem służącym do czytelnego formatowania i
wyświetlania źródłowego kodu HTML. Ułatwia utrzymanie porządku w
źródłach stron WWW, utrzymanie jednolitej konwencji (wielkość liter w
tagach) oraz poprawnego kodowania różnych standardów znaków.

%package devel
Summary:	Tidy header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dla programu Tidy
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Tidy header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dla programu Tidy.

%package static
Summary:	Static Tidy library
Summary(pl.UTF-8):	Statyczna biblioteka Tidy
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Tidy library.

%description static -l pl.UTF-8
Statyczna biblioteka Tidy.

%prep
%setup -q -n %{name}

%build
sh build/gnuauto/setup.sh
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc htmldoc/*
%attr(755,root,root) %{_bindir}/tab2space
%attr(755,root,root) %{_bindir}/tidy
%attr(755,root,root) %{_libdir}/libtidy-0.99.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtidy-0.99.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtidy.so
%{_libdir}/libtidy.la
%{_includedir}/buffio.h
%{_includedir}/platform.h
%{_includedir}/tidy*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtidy.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tidy.spec,v $
Revision 1.51  2009/11/19 20:26:31  wiget
- updated to cvs -D 2009-11-19

Revision 1.50  2008/07/25 20:09:28  qboosh
- more verbose files, ghost soname symlink

Revision 1.49  2008/07/25 19:31:44  arekm
- up to 20080116

Revision 1.48  2008-04-24 15:20:30  glen
- release 1

Revision 1.47  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.45  2006/11/10 14:31:02  glen
- 20061110 cvs snapshot

Revision 1.44  2006/11/10 13:52:09  glen
- use versioned builddir

Revision 1.43  2006/01/04 22:56:59  zawadaa
- up to 0.20051111
- STBR

Revision 1.42  2005/08/27 18:29:09  darekr
- updated to 0.20050826;fix build

Revision 1.41  2005/07/17 17:37:46  darekr
- unify sourceforge URL

Revision 1.40  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.39  2004/10/26 22:25:40  ankry
- cosmetics

Revision 1.38  2004/10/26 21:17:24  freetz
- old tarball already deleted, updated to 20041025

Revision 1.37  2004/10/26 21:08:00  freetz
- 20041005 (0.99.0)

Revision 1.36  2004/08/14 00:01:15  aredridel
- up to 20040811
- STBR

Revision 1.35  2004/03/22 22:37:44  freetz
- try upgrade to 20040318 version (0.99.0)

Revision 1.34  2004/03/04 09:25:38  qboosh
- cleanup/unification

Revision 1.33  2004/03/03 23:19:01  krzak
- man page install in right place
- rel 2

Revision 1.32  2003/12/06 18:45:52  freetz
- 20031101

Revision 1.31  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.30  2003/09/05 12:15:04  matkor
- Release 2.

Revision 1.29  2003/09/05 11:05:52  matkor
- Version 20030901. STBR for Ra

Revision 1.28  2003/08/26 08:32:54  qboosh
- fixed epoch issue after adding Epoch field

Revision 1.27  2003/08/24 22:01:05  migo
- epoch: 1

Revision 1.26  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.25  2003/07/11 09:37:18  qboosh
- added ldconfig, split devel into devel+static

Revision 1.24  2003/07/11 08:36:27  pascalek
- updated to 20030702
- TODO issues solved

Revision 1.23  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.22  2003/05/28 13:02:15  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:27:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/07 12:26:04  matkor
- Autoupgrade to 20030205 (still nedds ac/am stuff to be done correctly).

Revision 1.19  2003/01/14 18:51:10  matkor
- Version 20030101.

Revision 1.18  2002/11/30 23:00:29  juandon
- new %doc

Revision 1.17  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.15  2002/01/18 02:15:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/08/19 16:54:42  kloczek
- spec adapterized,
- spec is now %{debug} ready,
- added using rpm automation (do not pack in %install man pages).

Revision 1.13  2001/08/16 08:25:19  ziembor
- updated version
- change RPM versioning schema

Revision 1.10  2000/06/12 10:53:18  kloczek
- release 3.

Revision 1.9  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.8  2000/06/06 14:44:16  kura
- updated to 30apr00
- adapterized

Revision 1.7  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.5  1999/12/11 15:18:25  kloczek
- release 2,
- added missing %defattr().

Revision 1.4  1999/12/09 20:13:18  kloczek
- removed duplicated %{_bindir}/tidy.

Revision 1.3  1999/12/09 19:51:46  kloczek
- cleanups (adapterized, added "rm -rf $RPM_BUILD_ROOT" on top %install).

Revision 1.2  1999/12/09 19:40:09  kravietz
- cleanup and fixes for PLD

Revision 1.1  1999/12/09 19:00:39  kravietz
- added to repo
  740352d878e071d8ca4f811d31af4bd9  tidy.spec
